Skip to navigation

List Preferred Programs

View as Markdown

Access control: this endpoint is available to users with the everyone role.

List all preferred customs duty programs recognized by AvaTax.

A customs duty program is an optional program you can use to obtain favorable treatment from customs and duty agents. An example of a preferred program is NAFTA, which provides preferential rates for products being shipped from neighboring countries.

To select a preferred program for calculating customs and duty rates, call this API to find the appropriate code for your preferred program. Next, set the parameter AvaTax.LC.PreferredProgram in your CreateTransaction call to the code of the program.

Authentication

Authorizationstring
API Key authentication via header

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

$filterstringOptional

A filter statement to identify specific records to retrieve. For more information on filtering, see Filtering in REST.
Not filterable: effectiveDate, endDate

$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional
pageKeystringOptional